Subject: Re: How to unpack recent objects?

From: Phillip Susi <[email-masked]>
Date: Thu, 16 Dec 2010 17:06:59 -0500

On 12/16/2010 4:19 PM, Nicolas Pitre wrote:
> What makes you think that unpacking them will actually make the access 
> to them faster?  Instead, you should consider _repacking_ them, 
> ultimately using the --aggressive parameter with the gc command, if you 
> want faster accesses.

Because decompressing and undeltifying the objects in the pack file
takes a fair amount of cpu time.  It seems a waste to do this for the
same set of objects repeatedly rather than just keeping them loose.